Bug 251549 - Change filesystem path naming from "fedora-ds" to "dirsrv"
Change filesystem path naming from "fedora-ds" to "dirsrv"
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.1.0beta
All Linux
low Severity low
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-08-09 14:18 EDT by Rich Megginson
Modified: 2015-12-07 11:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:32:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs - ldapserver (8.70 KB, patch)
2007-08-09 14:18 EDT, Rich Megginson
no flags Details | Diff
diffs - adminserver (1.49 KB, patch)
2007-08-09 14:21 EDT, Rich Megginson
no flags Details | Diff
diffs - ldapserver (6.63 KB, patch)
2007-08-13 11:06 EDT, Rich Megginson
no flags Details | Diff
cvs commit log - ldapserver (2.04 KB, text/plain)
2007-08-13 11:36 EDT, Rich Megginson
no flags Details
cvs commit log - adminserver (1.34 KB, text/plain)
2007-08-13 11:41 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2007-08-09 14:18:59 EDT
We would like to separate the brand name from the filesystem path naming.  The
packages will still be called fedora-ds-*.rpm, and if you run /usr/sbin/ns-slapd
-v it will tell you that you are running Fedora Directory Server, but we would
like to use "dirsrv" as the name in filesystem paths, so
 /etc/dirsrv
 /usr/lib/dirsrv
 /var/log/dirsrv
and so on.
Comment 1 Rich Megginson 2007-08-09 14:18:59 EDT
Created attachment 160996 [details]
diffs - ldapserver
Comment 2 Rich Megginson 2007-08-09 14:21:46 EDT
Created attachment 160997 [details]
diffs - adminserver
Comment 3 Rich Megginson 2007-08-13 11:06:24 EDT
Created attachment 161180 [details]
diffs - ldapserver
Comment 4 Nathan Kinder 2007-08-13 11:20:07 EDT
Looks good.
Comment 5 Rich Megginson 2007-08-13 11:36:29 EDT
Created attachment 161183 [details]
cvs commit log - ldapserver

Reviewed by: nkinder (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: Mostly just changing the package name in configure.ac, and
making sure we consistently use that in path naming (e.g. /etc/@PACKAGE_NAME@
or /etc/@PACKAGE_NAME_BASE@ for adminserver).
Platforms tested: RHEL4, FC6
Flag Day: no
Doc impact: Oh yes.
QA impact: Any existing tests that depend on /path/brand-ds will need to change
to use dirsrv.	It is highly encouraged to use a macro or variable for the
package name in any scripts to minimize the impact of future package name
changes.
Comment 6 Rich Megginson 2007-08-13 11:41:23 EDT
Created attachment 161184 [details]
cvs commit log - adminserver

Note You need to log in before you can comment on or make changes to this bug.